Returns information on all projects and publications available to the user making the request.
GET projects?types={types}&parentId={parentExtId}
Authentication
This request requires basic authentication.
Request Parameters
Query params
|
types
|
array of strings
|
[optional] The type(s) of an entity to retrieve – Project or Publication. If not specified, returns both projects and publications. |
|---|---|---|
| parentId | string | [optional] The Id of a project. If specified returns publications only of the specified project. |
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/projects?types=Publication&parentId=project-my-manual' |
Response body sample
JSON |
[JSON] [ { "createdOn": "2024-05-17T20:21:51", "fullUrl": "https://docs.hedronlabs.org/articles/my-manual-publication", "id": "my-manual-publication", "parentId": "project-my-manual", "parentUrl": "project-my-manual", "title": "My Manual Publication", "url": "my-manual-publication", "visibility": "Private" }, { "createdOn": "2025-01-31T09:24:15", "fullUrl": "https://docs.hedronlabs.org/articles/pro", "id": "pro", "parentId": "project-my-manual", "parentUrl": "project-my-manual", "title": "Pro", "url": "pro", "visibility": "Restricted" } ] |
Response fields
| createdOn |
An ISO 8601 timestamp of the project/publication creation date. GMT timezone.
|
|---|---|
| fullUrl |
The full URL of the project or publication.
|
|
id
|
The unique identifier of the project or publication.
|
|
parentId
|
The unique identifier of the parent entity. Returns null for projects. For publications, returns the ID of the associated project.
|
|
parentUrl
|
[deprecated] Same as parentId. |
|
title
|
The title of the project or publication. |
|
url
|
[deprecated] Same as id. |
|
visibility
|
The visibility of the project/publication. Always returns Private for projects.
|